%define po_package gnome-speech

Summary: GNOME Text to Speech
Name: gnome-speech
Version: 0.4.9
Release: 1%{?dist}
License: LGPL
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/gnome/sources/gnome-speech/0.4/gnome-speech-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: pkgconfig
BuildRequires: autoconf, automake, gettext, libtool
BuildRequires: libbonobo-devel
Patch1: gnome-speech-0.3.5-no-gnome-common.patch
%ifarch i386
Requires: festival
%endif

%description
The GNOME Speech library provides a simple general API for 
producing text-to-speech output.


%package devel
Summary:	The files needed for developing an app using gnome-speech
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbonobo-devel
Requires:	pkgconfig

%description devel
The gnome-speech-devel package contiains files needed for developing
applications using GNOME Speech.

%prep
%setup -q
%patch1 -p1 -b .no-gnome-common

%build
autoreconf -f -i
%configure --with-java-home=no --with-jab-dir=""
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -name '*.la' |xargs /bin/rm
# Remove this as it does not build correctly right now.

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/festival-synthesis-driver
%{_bindir}/test-speech
%{_libdir}/bonobo/servers/*
%{_libdir}/lib*.so.*
%{_libdir}/orbit-2.0/*.so

%files devel
%defattr(-,root,root,-)
%doc doc/gnome-speech.html
%{_libdir}/lib*.so
%{_includedir}/gnome-speech-1.0
%{_libdir}/pkgconfig/*pc
%{_datadir}/idl/gnome-speech-1.0


%changelog
* Sun Feb 11 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.9-1
- Update to 0.4.9 

* Sat Jan 20 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Wed Dec 20 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.7-1
- Update to 0.4.7
- Require pkgconfig in the -devel package

* Sun Nov  5 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.6-1
- Update to 0.4.6

* Tue Aug 29 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.5-1.fc6
- Update to 0.4.5

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.4-1.fc6
- Update to 0.4.4

* Fri Aug  4 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.2-1.fc6
- Update to 0.4.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.4.1-1.1
- rebuild

* Tue Jul 11 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.0-2
- Add missing BuildRequires

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 0.3.10-1
- Update to 0.3.10

* Fri Feb 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.3.9-3
- Revert back to devel package and enable the bonobo build

* Thu Feb 23 2006 John (J5) Palmieri <johnp@redhat.com> - 0.3.9-2
- Get rid of devel package
- .so now available to bonobo

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.9-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.9-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 Matthias Clasen <mclasen@redhat.com> 0.3.9-1
- Update to 0.3.9

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> 0.3.8-1
- Update to 0.3.8

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 0.3.7-1
- New upstream version

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> 0.3.6-1
- Update to 0.3.6

* Tue Jan 04 2005 Colin Walters <walters@redhat.com> 0.3.5-5
- New patch gnome-speech-0.3.5-java-configure.patch to
  allow to explicitly disable Java
- Use it
- New patch gnome-speech-0.3.5-no-gnome-common.patch

* Thu Sep 16 2004 Jonathan Blandford <jrb@redhat.com> 0.3.5-4
- change ExclusiveArch to Requires festival only on i386

* Wed Sep 15 2004 Tim Powers <timp@redhat.com> 0.3.5-3
- ExclusiveArch i386 since festival only exists for i386, otherwise we break deps

* Tue Sep 14 2004 GNOME <jrb@redhat.com> - 0.3.5-2
- require festival, as we're useless without it

* Tue Aug 31 2004 Colin Walters <walters@redhat.com> 0.3.5-1
- Update to 0.3.5
- Add missing ldconfig calls (bz #123268)

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.3.3-1
- Update to 0.3.3

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.3.2-2
- BR pkgconfig libbonobo-devel

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.3.2-1
- Update to 0.3.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- update to 0.3.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Oct  2 2003 Jonathan Blandford <jrb@redhat.com> 0.2.7-1
- new version

* Tue Sep  2 2003 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Mon Jul 28 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add defattr to devel subrpm

* Fri Jul 18 2003 Jonathan Blandford <jrb@redhat.com>
- remove non-working orbit-2.0 typelib stuff temporarily

* Thu Jul 17 2003 root <jrb@dhcp64-232.boston.redhat.com> 0.2.3-1
- bump to new version

* Fri May  9 2003 Jonathan Blandford <jrb@redhat.com> speech-1
- Initial build.


